Update Appraisal Status
curl --request PUT \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}/appraisal_status \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"appraisal_status_id": 2
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}/appraisal_status"
payload = { "appraisal_status_id": 2 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({appraisal_status_id: 2})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}/appraisal_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Non-existent appraisal_status_id and/or appraisal_status_id",
"event_code": "ERWPAP",
"event_dict": {
"event_severity": "ERROR",
"title": "Incorrect param.",
"description": "Incorrect param."
}
}{
"title": "Required feature is not enabled.",
"description": "Please contact support to have this feature enabled."
}Endpoint Examples
Update Appraisal Status
Set or update the status of a specific appraisal
PUT
/
client_reference
/
{client_reference_id}
/
appraisal
/
{appraisal_id}
/
appraisal_status
Update Appraisal Status
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
The appraisal identifier.
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Body
application/json
The ID of the status to assign to the appraisal
Response
Appraisal status updated successfully
The response is of type object.
⌘I